Package org.eclipse.graphiti.features.context

# Interface IDirectEditingContext

All Superinterfaces:
  `IContext`, `IPictogramElementContext`, `IPropertyBag`

All Known Implementing Classes:
  `DirectEditingContext`

public interface IDirectEditingContext extends IPictogramElementContext
The Interface IDirectEditingContext.

## Method Summary

Modifier and Type
Method
Description
`GraphicsAlgorithm`
`getGraphicsAlgorithm()`
Gets the graphics algorithm.

### Methods inherited from interface org.eclipse.graphiti.features.context.IPictogramElementContext

`getPictogramElement`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Method Details

### getGraphicsAlgorithm

GraphicsAlgorithm getGraphicsAlgorithm()
Gets the graphics algorithm.

Returns:
  the graphics algorithm on which direct editing has been invoked